#!/bin/bash
#
# Produce quicklooks from the CAMRa dat or netCDF files given on the command line.
#

NCFILES=$(ls -1 $@ | egrep 'nc$')
DATFILES=$(ls -1 $@ | egrep 'dat$')

PLOTOPTIONS="-PHIDPrange -10 40 -defaultvrange -40 40 -mag 0.75 -maxsize 500 -fontsize 10 -Zrange -20 40"
OPTIONS="-autocal -clean"

if [ "$NCFILES" ]
then
    for FILE in $NCFILES; do
	chilncplot $PLOTOPTIONS $FILE
    done
fi

if [ "$DATFILES" ]
then
    for FILE in $DATFILES; do
	chilplot $OPTIONS $PLOTOPTIONS $FILE
    done
fi
